idzebra (2.2.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062347

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:44:37 +0000

idzebra (2.2.7-1) unstable; urgency=medium

  * New upstream version: Various buffer overflow fixes.
  * debian/copyright: Update for 2023.
  * idzebra-2.0-common: Update Lintian override syntax.
  * libidzebra-2.0-0: Update symbols file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 20 Feb 2023 23:29:42 +1100

idzebra (2.2.6-2) unstable; urgency=medium

  * debian/patches: Disable 'inserttest' again.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 29 Dec 2022 22:24:49 +1100

idzebra (2.2.6-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    + Raise Standards-Version to 4.6.2 (no changes needed).
    + Update package descriptions.
    + Add missing ${source:Version} variables.
  * debian/patches: Re-enable 'inserttest'.
  * lintian-overrides: Add source-is-missing tag and comments.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 29 Dec 2022 21:35:01 +1100

idzebra (2.2.5-2) unstable; urgency=medium

  * debian/patches: Temporarily disable 'inserttest' until build issues
    have been investigated and resolved.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 27 Jun 2022 22:47:07 +1000

idzebra (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5:
    - Fix buffer overflow in dictionary insert handling, which could lead to
      assert failures in some cases.
  * debian/watch: Use 'zebra' instead of 'idzebra' in source URL.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 25 Jun 2022 22:36:25 +1000

idzebra (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4.
  * debian/copyright: Update for 2022.
  * debian/control: Raise Standards-Version to 4.6.1 (no changes needed).
  * libidzebra-2.0-dev: Stop installing the IDZebra m4 macro.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 13 Jun 2022 21:43:18 +1000

idzebra (2.2.3-1) unstable; urgency=medium

  * New upstream version:
    - Example MARC XML files updated to the latest versions published by
      the Library of Congress.
    - Various bug fixes.
  * debian/control:
    - Raise Standards-Version to 4.6.0 from 4.5.0 (no changes needed).
    - Update package descriptions.
    - Install idzebra-2.0-examples with the idzebra-2.0 metapackage.
  * debian/copyright: Update for idzebra 2.2.3.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/rules:
    - Remove the dh_installdocs-indep override.
    - Don't install the upstream ChangeLog.
  * debian/source/lintian-overrides: Silence some line-length warnings.
  * debian/source/options: Ignore compile-time changes to cql2pqf.txt.
  * debian/watch: Update source URL and use string substitutions.
  * idzebra-2.0-doc: Don't install the documentation in a sub-directory.
  * libidzebra-2.0-dev: Install the upstream NEWS and README files.
  * Remove legacy preinst files (idzebra-2.0-utils, libidzebra-2.0-dev).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 18 Oct 2021 21:32:16 +1100

idzebra (2.2.2-1) unstable; urgency=medium

  * New upstream version:
    - Upstream has removed the test 'tstbfile1', which failed intermittently,
      causing build failures (Closes: #973123).
    - Instances removed in idzebra 2.2.1 (not released in Debian) have been
      reinstated. These were bf_alloc, bf_free, bf_xopen and bf_xclose.
  * debian/control:
    - Build-Depend on libyaz-dev >= 5.29.0 and zlib1g-dev.
    - Sort package Depends lists and unify formatting.
    - Sort package stanzas.
    - Add Depends packages to libidzebra-2.0-dev.
  * Drop encoding.patch and idzebra-clean.patch. Both were accepted upstream.
  * Add a superficial autopkgtest for libidzebra-2.0-dev.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 10 Nov 2020 22:32:15 +1100

idzebra (2.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: Use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.

  [ Hugh McMaster ]
  * New upstream version 2.2.0
    - Upstream now ships a pkg-config file (zebra.pc).
    - idzebra-config-2.0 is no longer packaged.
  * debian/control:
    - Use debhelper-compat version 13.
    - Build-Depend on libncurses-dev instead of libncurses5-dev.
    - Build-Depend on tcl-dev instead of tcl8.6-dev.
    - Mark libidzebra-2.0-dev Multi-Arch: same.
    - Drop Breaks+Replaces on very old binary version of idzebra-2.0-utils.
  * debian/copyright: Update for idzebra 2.2.0.
  * debian/not-installed: Add idzebra-config script, man page and symlinks.
  * debian/patches:
    - Remove idzebra-config-no-build-path.patch (no longer needed since
      idzebra-config-2.0 is no longer installed).
    - Remove pkg-config.patch (no longer needed).
    - Add patch to clean up left-over test files.
    - Add patch to convert upstream files encoded as ISO-8859-1 to UTF-8.
  * debian/rules:
    - Use pkg-config to detect the yaz library.
    - Set package install path for upstream examples.
    - Regenerate upstream documentation on each build.
    - Remove unneeded DEB_CCACHE_DIR export, git repository check,
      dh_auto_clean override and dh_shlibdeps override.
    - Remove unneeded 'clean' target and manual clean-up of auto-generated
      build files and test files.
  * debian/source/options: Ignore changes to auto-generated documentation.
  * idzebra-2.0-common: Add lintian override for national-encoding warning.
  * idzebra-2.0-doc: Install documentation in a subdirectory of the
    main package (idzebra-2.0).
  * idzebra-2.0-utils:
    - Install upstream binaries, man pages and symlinks.
    - Remove prerm and postinst maintenance scripts.
    - Add preinst maintenance script to remove update-alternatives symlinks.
  * libidzebra-2.0-dev:
    - No longer install idzebra-config-2.0 or its man page.
    - Remove prerm and postinst maintenance scripts.
    - Add preinst maintenance script to remove update-alternatives symlinks.
    - Install pkg-config file (zebra.pc).
  * idzebra-2.0-examples.install: Rename to idzebra-2.0-examples.examples.
  * idzebra-2.0-doc.install: Rename to idzebra-2.0-doc.docs

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 26 Oct 2020 22:40:12 +1100

idzebra (2.1.4-4) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Add debian/not-installed.
  * debian/control:
    - Raise Standards-Version to 4.5.0 from 4.4.1 (no changes needed).
    - Sort Build-Depends list.
    - Build-Depend on pkg-config.
  * debian/patches:
    - pkg-config.patch: Use pkg-config to find YAZ and its related libraries,
      instead of calling yaz-config, which is being removed from libyaz-dev.
      Also update variable names to use the output from pkg-config directly.
    - idzebra-config-no-build-path.patch: Remove build path data to help make
      the build reproducible.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 04 Apr 2020 19:16:26 +1100

idzebra (2.1.4-3) unstable; urgency=medium

  * debian/control: Update Homepage URL.
  * debian/copyright: Update Source URL.
  * debian/watch: Point to upstream FTP repository.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 05 Nov 2019 21:56:06 +1100

idzebra (2.1.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 28 Oct 2019 11:57:32 +0100

idzebra (2.1.4-1) experimental; urgency=medium

  * New upstream release (Closes: #777515, #920343).
  * debian/control:
    - Update Build-Depends list.
    - Build-Depend on libyaz-dev (Closes: #917611).
    - Raise Standards-Version to 4.4.1 from 3.9.5 (no changes needed).
    - Drop Build-Conflicts field.
    - Update Vcs-* fields to point to Salsa.
    - Update Homepage URI.
    - Add Rules-Requires-Root field.
    - Mark the 'common', 'docs' and 'examples' packages Multi-Arch: foreign.
  * debian/patches: Drop all patches (no longer needed).
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS
    - Automatically generate the minimum package version for dh_makeshlibs.
    - Remove dh_auto_configure override
    - Remove dh_install override.
    - Remove unused DH_OPTIONS variable.
    - Remove some comments.
    - Remove legacy targets.
  * debian/upstream: Add metadata file.
  * Add new symbols to libidzebra-2.0-0.symbols.
  * libidzebra-2.0-dev:
    - Re-order install file to follow alphabetical sorting order.
    - Update manpages file.
  * idzebra-2.0-utils:
    - Update manpages file.
    - Install idzebra-abs2dom binary and manpage.
  * Add new package: libidzebra-2.0-mod-safari.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 30 Sep 2019 21:21:11 +1000

idzebra (2.0.59-1) unstable; urgency=medium

  * New upstream release
    Fix "FTBFS: Tests failed" (Closes: #738430)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 28 Aug 2014 16:27:36 +0200

idzebra (2.0.48-1) unstable; urgency=low

  * New upstream release
  * Multiarch migration
  * Multiple packaging cleanup (standard version, ...)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Jul 2011 14:07:24 +0200

idzebra (2.0.44-3) unstable; urgency=low

  * Fix "FTBFS with binutils-gold" (Closes: #554863)
    by updating for-upstream_fix-link-system.patch.
    Thanks Julian Taylor

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Jul 2011 13:52:41 +0200

idzebra (2.0.44-2) unstable; urgency=low

  * Update copyright notice in debian/copyright (Thanks Julien)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 26 Aug 2010 12:46:18 +0200

idzebra (2.0.44-1) unstable; urgency=low

  * New Upstream Version
    Many bug fix
  * debian/control: bump standard-version (no change needed)
  * debian/rules: really remove generated files before build

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 18 Aug 2010 11:32:49 +0200

idzebra (2.0.43-2) unstable; urgency=low

  * debian/control: build-depends on libyaz3-dev or libyaz4-dev
    to allow build against yaz4 (Closes: #583400)
  * debian/control: bump standard-version (no change needed)
  * switch to source format 3.0 (quilt)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 24 Jun 2010 08:45:09 +0200

idzebra (2.0.43-1) unstable; urgency=low

  * New Upstream Version
  * update descriptions (Closes: #550105)
  * remove the libreadline5-dev build dependency alternative
    (stable libreadline5-dev provides libreadline-dev) (Closes: #553784)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 03 Dec 2009 22:33:54 +0100

idzebra (2.0.41-1) unstable; urgency=low

  * New Upstream Release (mainly bug fix in DOM filter and in documentation)
  * Remove *.la files (after debian-devel global discussions)
  * Dump Standard-Version (no change needed)
  * Fix build with automake 1.11 (Closes: #543090)
  * use libreadline-dev instead of libreadline5-dev (kept as alternative
    for backports)
  * Add README.source

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 24 Sep 2009 19:48:57 +0200

idzebra (2.0.40-1) unstable; urgency=low

  * New Upstream Version
  * debian/control: bump Standard-Version (no change needed)
  * debian/patches: refresh and update for-upstream_fix-link-system.patch
  * debian/libidzebra-2.0-0.symbols: add two new symbols

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Jul 2009 21:30:53 +0200

idzebra (2.0.36-1) unstable; urgency=low

  * New Upstream Version
  * remove 8 symbols from the lib without soname dump as upstream
    tell me they were private symbols

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 22 Apr 2009 10:14:03 +0200

idzebra (2.0.32-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 12 Jun 2008 15:08:46 +0200

idzebra (2.0.30+debian.1) unstable; urgency=low

  * Introduce zebra in Debian (closes: #263830)
   + Change maintainer to myself (I would be pleased to co-maintain
     this package with Adam Dickmeiss on alioth if he wants to)
   + update Standard-Version to 3.7.3
   + add Vcs-Browser, Vcs-Git and Homepage fields
   + add watch file
   + add dh_wraporig.local, dh_wraporig and README.Debian-source files
     (upstream sources still have a debian/ directory)
   + update copyright file (GNU GPL)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 19 May 2008 17:37:27 +0200

idzebra (2.0.30-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 14 May 2008 09:19:18 +0200

idzebra (2.0.28-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 03 Apr 2008 22:05:02 +0200

idzebra (2.0.27-1) unstable; urgency=low

  * Internal.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed,  5 Mar 2008 10:23:23 +0100

idzebra (2.0.26-2) unstable; urgency=low

  * Fixed multiple Build-Depends lines.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 03 Mar 2008 22:37:28 +0100

idzebra (2.0.26-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 28 Jan 2008 15:18:52 +0100

idzebra (2.0.24-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 18 Jan 2008 13:12:24 +0100

idzebra (2.0.22-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 20 Dec 2007 20:08:57 +0100

idzebra (2.0.20-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 19 Dec 2007 14:37:14 +0100

idzebra (2.0.19-1) unstable; urgency=low

  * Internal.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 15 Nov 2007 09:51:48 +0100

idzebra (2.0.18-1) unstable; urgency=low

  [ Adam Dickmeiss ]
  * Upstream.

  [ Vincent Danjean ]
  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Nov 2007 00:30:47 +0100

idzebra (2.0.17-1) unstable; urgency=low

  * Testing.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 18 Sep 2007 21:52:21 +0200

idzebra (2.0.16-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 12 Sep 2007 09:43:57 +0200

idzebra (2.0.15-1) unstable; urgency=low

  * idzebra-2.0-utils depends on exact version of libidzebra-2.0.
  * idzebra-2.0 depends on exact version of idzebra-2.0-utils.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 27 Aug 2007 10:39:55 +0200

idzebra (2.0.14-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 09 May 2007 09:32:03 +0200

idzebra (2.0.13-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu,  8 Mar 2007 22:07:07 +0100

idzebra (2.0.12-1) unstable; urgency=low

  * Upstream.

 -- Marc Cromme <marc@indexdata.dk>  Wed, 07 Feb 2007 14:13:02 +0100

idzebra (2.0.10-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 24 Jan 2007 16:22:56 +0100

idzebra (2.0.8-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 15 Jan 2007 21:12:30 +0100

idzebra (2.0.7-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 29 Nov 2006 11:22:51 +0100

idzebra (2.0.6-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 28 Nov 2006 12:38:41 +0100

idzebra (2.0.4-1) unstable; urgency=low

  * Internal.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  6 Nov 2006 21:46:17 +0100

idzebra (2.0.4-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 16 Oct 2006 13:02:45 +0200

idzebra (2.0.2-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 22 Sep 2006 14:35:44 +0200

idzebra (2.0.1-1) unstable; urgency=low

  * Use Depends rather than Provides for libidzebra-2.0-modules.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 16 Aug 2006 17:03:24 +0200

idzebra (2.0.0-2) unstable; urgency=low

  * Use Depends rather than Provides for idzebra-2.0 package.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 15 Aug 2006 10:21:04 +0200

idzebra (2.0.0-1) unstable; urgency=low

  * First production release of Zebra 2.0 series.
  * String attributes used internally, mapping to numeric attributes
    during search
  * Documentation of architecture, querymodel and SRU server added
  * Example configuration for Alvis filter indexed MARCXML and OAI records
    added
  * Bug closes: #124 #431 #447 #451 #454 #460 #461 #462 #465 #472 #529
    #549 #576 #588 #594 #597 #602 #616 #617 #619

 -- marc <marc@indexdata.dk>  Mon, 26 Jun 2006 12:00:31 +0200

idzebra (1.4.0-2) unstable; urgency=low

  * Added Alvis XSLT filter debian package libidzebra1.4-mod-alvis.

 -- Marc Cromme <marc@indexdata.dk>  Mon, 12 Dec 2005 13:49:07 +0100

idzebra (1.4.0-1) unstable; urgency=low

  * New package structure. Zebra 1.4 series.

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 30 Sep 2004 08:45:51 +0200
